Subject: Re: scalability of netramet

From: Remco Poortinga <[email-masked]>
Date: Fri, 12 Oct 2001 13:47:12 +0200

Sandra Salas wrote:

>  Hi,
> 
> I have installed the netramet   in a network lab,   and everything is working  excellent.
> I am wondering if you have information about performance and scalability of the netramet.
> I know  that this depends as large as the network, but in your experience, do you have
> any interesting data about this? Something that helps me to plan the type of hardware that I need.
> 
> I really appreciate your help.
> 
> thanks in advance!.

Hi Sandra,

We did some experiments with NeTraMet recently on a 1GHz PC.
With a Debian Linux (2.4.xxx kernel) it handled about 60 thousand 
packets per second. This with several rulesets:
* keeping track of usage statistics for some 2000 hosts on the network
* just counting all traffic that went past
* classifying all traffic into 4 different destinations

At the same time it was running a MySql database for storing results and 
an Apache web server (for viewing the results).
If the only ruleset was just counting all traffic and without the 
database or web server running, it could do (IIRC) over 90 thousand 
packets per second.

Cheers,

Remco Poortinga
Application Engineer
Telematica Instituut
Enschede, NL